<?PHP
    include "websylpheed.conf";
    include "session.lib";
    include "common.lib";
    include "functions.lib";
    include "imap-utf7.lib";

    function folderName($box) {
        list($server_part, $name_part) = explode('}', $box);
        return $name_part;
    }

    function folderName_decode($box) {
	global $internal_encoding, $personal_folders;
        $name = i18n_convert( decode_imap_utf7($box), $internal_encoding, 'UTF-8');
        if ($personal_folders != "" ){
            $name = ereg_replace("^" . $personal_folders, "", $name );
	}
        return zen2han($name);
    }

    if ($use_imap_subscribe) {
        $boxlist = imap_listsubscribed($imap, $connstr, "*");
    } else {
        $boxlist = imap_listmailboxes($imap, $connstr, "*");
    }
    imap_close($imap);
?>
<HTML>
<HEAD>
<TITLE>tH_I - <?=$mail_addr?></TITLE>
</HEAD>
<body bgcolor="<?=$bgcolor?>">
tH_I<br>
<A HREF="maillist.php?<?=$pwstr?>&mbox=INBOX">M</A><BR>
<?PHP
    if (is_array($boxlist)) {
        natcasesort($boxlist);
        reset($boxlist);
        while(list($key, $box) = each($boxlist)) {
            $boxName = folderName($box);
            $boxName1 = urlencode($boxName);
            $boxName2 = folderName_decode($boxName);

	    if ($boxName == 'INBOX'){
	        continue;
	    } elseif (!$show_dotfiles && $boxName[0] == '.'){
	        continue;
	    } else {
?>
<A HREF="maillist.php?<?=$pwstr?>&mbox=<?=$boxName1?>"><?=$boxName2?></A><BR>
<?PHP
	    }
	}
    }
?>
<HR>
<A HREF="top.php?<?=$pwstr?>">TOPy[W</A>
<BODY>
<HTML>
